com.trendmicro.ds.integrity.rest.api

## Interface IWidgetsAPI

-     @Path(value="/widgets/integrity")
      public interface IWidgetsAPI

  A general widgets interface to retrieve same widget data from integrity module

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `BarDataListing` | `getIntegrityHistoryWidget(java.lang.String sessionId, int timescale)` Get Integrity Monitoring events history data based on IntegrityHistoryWidget
    `CounterIntegrityRuleListing` | `getTop5IntegrityRulesWidget(java.lang.String sessionId, int timescale)` Get Top 5 Reasons for Integrity Monitoring Events based on Top5IntegrityRulesWidget

- - ### Method Detail

    - #### getTop5IntegrityRulesWidget

          @GET
           @Path(value="/top5IntegrityRulesWidget")
           @Produces(value={"application/json","application/xml"})
          CounterIntegrityRuleListing getTop5IntegrityRulesWidget(@QueryParam(value="sID")
                                                                                                                                                                          java.lang.String sessionId,
                                                                                                                                                                          @QueryParam(value="timescale")
                                                                                                                                                                          int timescale)
                                                                                                                                                                   throws java.lang.Exception

      Get Top 5 Reasons for Integrity Monitoring Events based on Top5IntegrityRulesWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of CounterIntegrityRuleElement, a collection of the top 5 integrity rules.
      Throws:
        `java.lang.Exception`

    - #### getIntegrityHistoryWidget

          @GET
           @Path(value="/integrityHistoryWidget")
           @Produces(value={"application/json","application/xml"})
          BarDataListing getIntegrityHistoryWidget(@QueryParam(value="sID")
                                                                                                                                                         java.lang.String sessionId,
                                                                                                                                                         @QueryParam(value="timescale")
                                                                                                                                                         int timescale)
                                                                                                                                                  throws java.lang.Exception

      Get Integrity Monitoring events history data based on IntegrityHistoryWidget
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `timescale` - 1 - last 7 days; 2 - last 24 hours;
      Returns:
        a List of bar data
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.